# TCP Proxy

### Example usage:

#### Add ability to connect to local ssh server from VPN network:
```yml
host_ssh:
    build: https://git.devbones.com/conky/docker-tcp-proxy.git
    network_mode: 'service:wireguard'
    restart: unless-stopped
    environment:
      - PORT=22
      - LISTEN_PORT=2222
```

#### Listed for connections on port 5353 and proxy them to CloudFlare DNS:
```yml
dns_proxy:
    build: https://git.devbones.com/conky/docker-tcp-proxy.git
    restart: unless-stopped
    environment:
      - PORT=53
      - HOST=1.1.1.1
      - LISTEN_PORT=5353
```
